{% load planner_common %}
{# TODO: Except that this uses bootstrap instead of plain css, it's the same as applications search_and_filter.html. We should DRY this at some point #}
<form method="get">
  <div class="row filter-row">
    <div class="col-md-5">
      <div class="search-box">
        <input type="text"
               name="search"
               value="{{ search }}"
               id="search"
               class="search{% if search %} hasValue{% endif %}"
               onInput="this.classList.toggle('hasValue', this.value)">
        <button type="submit" class="button button-primary">
          <i class="fas fa-search"></i>
        </button>
        <button alt="clear search"
                type="reset"
                onclick="document.getElementById('search').value = ''; this.form.submit()">
          {% inline_svg "vendor/material-icons/close.svg" %}
        </button>
      </div>
    </div>
    <div class="col-md-3">
      <select name="position"
              id="position-filter"
              class="dropdown filter"
              onChange="this.form.submit()">
        <option value="">All Positions</option>
        {% for position in positions_without_group %}
          <option value="{{ position.key }}"
                  {% if position == selected_position %}selected{% endif %}>{{ position.name }}</option>
        {% endfor %}
        {% for group_label, positions in positions_with_group.items %}
          <optgroup label="{{ group_label }}">
            {% for position in positions %}
              <option value="{{ position.key }}"
                      {% if position == selected_position %}selected{% endif %}>{{ position.name }}</option>
            {% endfor %}
          </optgroup>
        {% endfor %}
      </select>
    </div>
  </div>
</form>
